    import {FrameAction} from 'f.lux/src/listeners/Logger.js'

public class | source

# FrameAction

## Constructor Summary

Public Constructor
public | constructor(action: *, impl: *) |

## Member Summary

Public Members
public | action: * |
public | impl: * |

## Method Summary

Public Methods
public | print(printState: boolean) |

## Public Constructors

### public constructor(action: *, impl: *) source

#### Params:

Name | Type | Attribute | Description
action | * |  |
impl | * |  |

## Public Members

### public action: * source

### public impl: * source

## Public Methods

### public print(printState: boolean) source

#### Params:

Name | Type | Attribute | Description
printState | boolean | optional default: true |